#ifndef _nsCFHProtocolHandler_h_
#define _nsCFHProtocolHandler_h_

/*
 * $Id: nsCFHProtocolHandler.h,v 1.4 2004/01/04 17:57:10 schilz Exp $
 *
 * Copyright (c) 2003-2004  Dr. Thomas Schilz
 *
 * This file is part of MozPHP.
 *
 * MozPHP is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MozPHP is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MozPHP; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "nsIFileProtocolHandler.h"
#include "nsWeakReference.h"

class nsISupportsArray;
class nsIRunnable;
class nsFileChannel;
class nsIThreadPool;

#define NS_CFHPROTOCOLHANDLER_CID                   \
{ /* 310b02d8-a0fd-476c-af06-d4798f269652 */         \
    0x310b02d8,                                      \
    0xa0fd,                                          \
    0x476c,                                          \
    {0xaf, 0x06, 0xd4, 0x79, 0x8f, 0x26, 0x96, 0x52} \
}

class nsCFHProtocolHandler : public nsIProtocolHandler,
							 public nsSupportsWeakReference
{
public:
    NS_DECL_ISUPPORTS
    NS_DECL_NSIPROTOCOLHANDLER

    nsCFHProtocolHandler();
    virtual ~nsCFHProtocolHandler();

    static NS_METHOD
    Create(nsISupports *aOuter, REFNSIID aIID, void **aResult);
};

#endif /* _nsCFHProtocolHandler_h_ */
